GLSLMINIFIER(1)

NAME
glslminifier - filament material tools

DESCRIPTION
glslminifier minifies GLSL shader code by removing comments, blank lines and indentation.

  Usage:

    glslminifier [options] <input file>

OPTIONS

--help, -h

    Print this message.

--license, -L

    Print copyright and license information.

--output, -o

    Specify path to output file. If none provided, writes to stdout.

--optimization, -O [none]

    Set the level of optimization. "none" performs a simple passthrough.

--line, -l [name]

    Insert a #line directive on the first line of the shader with the given name. For example, --line foobar.h will insert the following:

    #if defined(GL_GOOGLE_cpp_style_line_directive) #line 0 "foobar.h" #endif

    This option is meant to be used with -Onone optimization.

  Example:

    glslminifier -o output.fs.min input.fs > Output file: output.fs.min

glslminifier minifies GLSL shader code by removing comments, blank lines and indentation.

  Usage:

    glslminifier [options] <input file>

--help, -h

    Print this message.

--license, -L

    Print copyright and license information.

--output, -o

    Specify path to output file. If none provided, writes to stdout.

--optimization, -O [none]

    Set the level of optimization. "none" performs a simple passthrough.

--line, -l [name]

    Insert a #line directive on the first line of the shader with the given name. For example, --line foobar.h will insert the following:

    #if defined(GL_GOOGLE_cpp_style_line_directive) #line 0 "foobar.h" #endif

    This option is meant to be used with -Onone optimization.

  Example:

    glslminifier -o output.fs.min input.fs > Output file: output.fs.min